petsc-3.4.2 2013-07-02

# SNESVISetComputeVariableBounds

Sets a function that is called to compute the variable bounds

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESVISetComputeVariableBounds(SNES snes, PetscErrorCode (*compute)(SNES,Vec,Vec))

Input parameter

| snes | - the SNES context
| compute | - computes the bounds

### See Also

SNESVISetVariableBounds()

Level:advanced
Location:src/snes/impls/vi/vi.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex58.c.html